Mailtarget Documentation

API Reference

Outbox

POST https://trx.mailtarget.co/outbox

You can send transactional email using HTTP API. Minimum, you need to include from, to, labels, subject and content. Here is a summary of all the parameters you can use on Transactional Mailtarget.

ParameterStatusDescription
fromRequiredEmail address will appear in the email header.
toRequiredRecipient email address. You can use commas to separate more than one recipient. Example: " jon@example.com, jin@example.com, jun@example.com ". You can also use the mailing list as a recipient.
labelsRequiredFeatures that you can use to grouping transactional emails.
dataNot RequiredFeature that you can use it to add custom shortcodes.
subjectRequiredSubject of the email will appear in the email subject.
contentRequired (if you use HTML)Email content is HTML format.
templateidRequired (if you use template)Id used to use template as content
trackNot Required (default is true)To enable track features on sent emails.